Freeciv-3.1: /fast/freeciv/nightly/S3_1/server/scripting/api_server_game_methods.c File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions
api_server_game_methods.c File Reference
`#include "luascript.h"`
`#include "aitraits.h"`
`#include "script_server.h"`
`#include "api_server_game_methods.h"`

Go to the source code of this file.

## Functions

int | api_methods_player_trait (lua_State *L, Player *pplayer, const char *tname)
int | api_methods_player_trait_base (lua_State *L, Player *pplayer, const char *tname)
int | api_methods_player_trait_current_mod (lua_State *L, Player *pplayer, const char *tname)
int | api_methods_nation_trait_min (lua_State *L, Nation_Type *pnation, const char *tname)
int | api_methods_nation_trait_max (lua_State *L, Nation_Type *pnation, const char *tname)
int | api_methods_nation_trait_default (lua_State *L, Nation_Type *pnation, const char *tname)

## Function Documentation

## ◆ api_methods_nation_trait_default()

int api_methods_nation_trait_default | ( | lua_State * | L,
|  | Nation_Type * | pnation,
|  | const char * | tname
| ) |  |

Return the default trait value that will be allocated for a nation

Definition at line 128 of file api_server_game_methods.c.

Referenced by tolua_server_Nation_Type_trait_default00().

## ◆ api_methods_nation_trait_max()

int api_methods_nation_trait_max | ( | lua_State * | L,
|  | Nation_Type * | pnation,
|  | const char * | tname
| ) |  |

Return the maximum random trait value that will be allocated for a nation

Definition at line 109 of file api_server_game_methods.c.

Referenced by tolua_server_Nation_Type_trait_max00().

## ◆ api_methods_nation_trait_min()

int api_methods_nation_trait_min | ( | lua_State * | L,
|  | Nation_Type * | pnation,
|  | const char * | tname
| ) |  |

Return the minimum random trait value that will be allocated for a nation

Definition at line 90 of file api_server_game_methods.c.

Referenced by tolua_server_Nation_Type_trait_min00().

## ◆ api_methods_player_trait()

int api_methods_player_trait | ( | lua_State * | L,
|  | Player * | pplayer,
|  | const char * | tname
| ) |  |

Return the current value of an AI trait in force (base+mod)

Definition at line 32 of file api_server_game_methods.c.

Referenced by tolua_server_Player_trait00().

## ◆ api_methods_player_trait_base()

int api_methods_player_trait_base | ( | lua_State * | L,
|  | Player * | pplayer,
|  | const char * | tname
| ) |  |

Return the current base value of an AI trait (not including Lua mod)

Definition at line 51 of file api_server_game_methods.c.

Referenced by tolua_server_Player_trait_base00().

## ◆ api_methods_player_trait_current_mod()

int api_methods_player_trait_current_mod | ( | lua_State * | L,
|  | Player * | pplayer,
|  | const char * | tname
| ) |  |

Return the current Lua increment to an AI trait (can be changed with api_edit_trait_mod_set())

Definition at line 71 of file api_server_game_methods.c.

Referenced by tolua_server_Player_trait_current_mod00().